CREATE TABLE fv_data_act_rep_trx_activity (
    REPORT_TRX_ID                   NUMBER(18, 0),
    LEDGER_ID                       NUMBER(18, 0)    NOT NULL,
    CODE_COMBINATION_ID             NUMBER(18, 0)    NOT NULL,
    PERIOD_NUM                      NUMBER(18, 0)    NOT NULL,
    PERIOD_YEAR                     NUMBER(18, 0)    NOT NULL,
    PROGRAM_ACTIVITY_CODE           VARCHAR2(120),
    PARK_CODE                       VARCHAR2(120),
    PYA_CODE                        VARCHAR2(120),
    BUDGET_OBJECT_CLASS             VARCHAR2(120),
    DIRECT_OR_REIMBURSABLE_CODE     VARCHAR2(120),
    DISASTER_EMERGENCY_FUND_CODE    VARCHAR2(120),
    PIID_NUMBER                     VARCHAR2(600),
    PARENT_AWARD_NUMBER             VARCHAR2(600),
    FAIN_NUMBER                     VARCHAR2(600),
    URI                             VARCHAR2(600),
    JE_HEADER_ID                    NUMBER(18, 0)    NOT NULL,
    JE_LINE_NUM                     NUMBER(18, 0)    NOT NULL,
    REPORT_RUN_ID                   NUMBER(18, 0)    NOT NULL,
    TREASURY_ACCOUNT_SYMBOL         VARCHAR2(140)    NOT NULL,
    FUND_CODE                       VARCHAR2(100)    NOT NULL,
    USSGL_ACCOUNT                   VARCHAR2(24)     NOT NULL,
    POSTED_DATE                     DATE             NOT NULL,
    JE_SOURCE                       VARCHAR2(100)    NOT NULL,
    JE_CATEGORY                     VARCHAR2(100)    NOT NULL,
    PERIOD_NAME                     VARCHAR2(60)     NOT NULL,
    ACCOUNTED_DR                    NUMBER       ,
    ACCOUNTED_CR                    NUMBER       ,
    ORIGINAL_ACCOUNTED_DR           NUMBER       ,
    ORIGINAL_ACCOUNTED_CR           NUMBER       ,
    JE_BATCH_ID                     NUMBER(18, 0)    NOT NULL,
    PROCESS_FILE_CODE               VARCHAR2(40) ,
    INCLUDE_BAL_CALC_FILE_CODE      VARCHAR2(40) ,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    REPORTING_ATTRIBUTE1            VARCHAR2(600),
    REPORTING_ATTRIBUTE2            VARCHAR2(600),
    REPORTING_ATTRIBUTE3            VARCHAR2(600),
    REPORTING_ATTRIBUTE4            VARCHAR2(600),
    REPORTING_ATTRIBUTE5            VARCHAR2(600),
    REPORTING_ATTRIBUTE6            VARCHAR2(600),
    REPORTING_ATTRIBUTE7            VARCHAR2(600),
    REPORTING_ATTRIBUTE8            VARCHAR2(600),
    REPORTING_ATTRIBUTE9            VARCHAR2(600),
    REPORTING_ATTRIBUTE10           VARCHAR2(600),
    REPORTING_ATTRIBUTE11           VARCHAR2(600),
    REPORTING_ATTRIBUTE12           VARCHAR2(600),
    REPORTING_ATTRIBUTE13           VARCHAR2(600),
    REPORTING_ATTRIBUTE14           VARCHAR2(600),
    REPORTING_ATTRIBUTE15           VARCHAR2(600),
    REPORTING_ATTRIBUTE16           VARCHAR2(600),
    REPORTING_ATTRIBUTE17           VARCHAR2(600),
    REPORTING_ATTRIBUTE18           VARCHAR2(600),
    REPORTING_ATTRIBUTE19           VARCHAR2(600),
    REPORTING_ATTRIBUTE20           VARCHAR2(600),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    REPORT_TRX_ID                   NUMBER(18, 0),
    LEDGER_ID                       NUMBER(18, 0)    NOT NULL,
    CODE_COMBINATION_ID             NUMBER(18, 0)    NOT NULL,
    PERIOD_NUM                      NUMBER(18, 0)    NOT NULL,
    PERIOD_YEAR                     NUMBER(18, 0)    NOT NULL,
    PROGRAM_ACTIVITY_CODE           VARCHAR2(120),
    BUDGET_OBJECT_CLASS             VARCHAR2(120),
    DIRECT_OR_REIMBURSABLE_CODE     VARCHAR2(120),
    DISASTER_EMERGENCY_FUND_CODE    VARCHAR2(120),
    PIID_NUMBER                     VARCHAR2(600),
    PARENT_AWARD_NUMBER             VARCHAR2(600),
    FAIN_NUMBER                     VARCHAR2(600),
    URI                             VARCHAR2(600),
    JE_HEADER_ID                    NUMBER(18, 0)    NOT NULL,
    JE_LINE_NUM                     NUMBER(18, 0)    NOT NULL,
    REPORT_RUN_ID                   NUMBER(18, 0)    NOT NULL,
    TREASURY_ACCOUNT_SYMBOL         VARCHAR2(140)    NOT NULL,
    FUND_CODE                       VARCHAR2(100)    NOT NULL,
    USSGL_ACCOUNT                   VARCHAR2(24)     NOT NULL,
    POSTED_DATE                     DATE             NOT NULL,
    JE_SOURCE                       VARCHAR2(100)    NOT NULL,
    JE_CATEGORY                     VARCHAR2(100)    NOT NULL,
    PERIOD_NAME                     VARCHAR2(60)     NOT NULL,
    ACCOUNTED_DR                    NUMBER       ,
    ACCOUNTED_CR                    NUMBER       ,
    ORIGINAL_ACCOUNTED_DR           NUMBER       ,
    ORIGINAL_ACCOUNTED_CR           NUMBER       ,
    JE_BATCH_ID                     NUMBER(18, 0)    NOT NULL,
    PROCESS_FILE_CODE               VARCHAR2(40) ,
    INCLUDE_BAL_CALC_FILE_CODE      VARCHAR2(40) ,
    CREATION_DATE                   TIMESTAMP(6)     NOT NULL,
    CREATED_BY                      VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE                TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128),
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)     NOT NULL,
    PARK_CODE                       VARCHAR2(120),
    PYA_CODE                        VARCHAR2(120),
    REPORTING_ATTRIBUTE1            VARCHAR2(600),
    REPORTING_ATTRIBUTE2            VARCHAR2(600),
    REPORTING_ATTRIBUTE3            VARCHAR2(600),
    REPORTING_ATTRIBUTE4            VARCHAR2(600),
    REPORTING_ATTRIBUTE5            VARCHAR2(600),
    REPORTING_ATTRIBUTE6            VARCHAR2(600),
    REPORTING_ATTRIBUTE7            VARCHAR2(600),
    REPORTING_ATTRIBUTE8            VARCHAR2(600),
    REPORTING_ATTRIBUTE9            VARCHAR2(600),
    REPORTING_ATTRIBUTE10           VARCHAR2(600),
    REPORTING_ATTRIBUTE11           VARCHAR2(600),
    REPORTING_ATTRIBUTE12           VARCHAR2(600),
    REPORTING_ATTRIBUTE13           VARCHAR2(600),
    REPORTING_ATTRIBUTE14           VARCHAR2(600),
    REPORTING_ATTRIBUTE15           VARCHAR2(600),
    REPORTING_ATTRIBUTE16           VARCHAR2(600),
    REPORTING_ATTRIBUTE17           VARCHAR2(600),
    REPORTING_ATTRIBUTE18           VARCHAR2(600),
    REPORTING_ATTRIBUTE19           VARCHAR2(600),
    REPORTING_ATTRIBUTE20           VARCHAR2(600),
    CONSTRAINT pk_fv_data_act_rep_trx_activity PRIMARY KEY (REPORT_TRX_ID, REPORT_TRX_ID)
);
